Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
collabs
/
{collabId}
/
drops
/
{dropId}
/
enhancements
/
{enhancementId}
Update Product Enhancement
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs/{collabId}/drops/{dropId}/enhancements/{enhancementId} \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "note": "This is my absolute favorite product!",
  "variant": "46033520853279",
  "media": [
    "https://picsum.photos/200/300"
  ],
  "custom": {
    "cc-product-short-form-2": "Must-have"
  },
  "formId": "form_product_123"
}
'
{
  "enhancement": {
    "_id": "68d4c15e7796e248a07dfd53",
    "product": "68d4bd2202627cba6983e4df",
    "note": "This is my absolute favorite product!",
    "variant": "46033520853279",
    "media": [
      {
        "_id": "68f0f2dca11250a7ccf1ea12",
        "mediaContentType": "IMAGE",
        "mimeType": "image/webp",
        "url": "https://assets.drops.shop/all/68f0f2dca11250a7ccf1ea12.webp"
      }
    ],
    "formId": "form_product_123"
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain

Example:

"cc-collabs-sandbox.myshopify.com"

collabId
string
required

The collab ID

Example:

"68d482d502627cba69150a33"

dropId
string
required

The drop ID

Example:

"68d4bf4b7796e248a07dfc2f"

enhancementId
string
required

The enhancement ID

Example:

"68d4c15e7796e248a07dfd53"

Body

application/json
note
string

Creator's note about the product

variant
string

Specific variant ID

media
(string<uri> | object)[]
custom
object

Custom fields for product-level personalization

formId
string

Form template ID

product
string

Existing internal product ID to attach this enhancement to

Response

Successfully updated enhancement

Response containing updated enhancement

enhancement
object

Product content fields within a drop within a collab within a channel